
stages:
  - build

build:
  stage: build
  image: docker:20.10.16
  tags:
    - docker
  variables:
    APP_IMAGE: ${CI_REGISTRY_IMAGE}/${CI_PROJECT_NAME}
  script: |
    docker login -u gitlab-ci-token -p ${CI_JOB_TOKEN} ${CI_REGISTRY}
    if [ $CI_COMMIT_TAG != '' ]; then
      docker build -t ${APP_IMAGE} -t ${APP_IMAGE}:${CI_COMMIT_TAG} .
      docker push ${APP_IMAGE}
      docker push ${APP_IMAGE}:${CI_COMMIT_TAG}
    else
      docker build -t ${APP_IMAGE}:dev .
      docker push ${APP_IMAGE}:dev
    fi
  only:
    - tags
    - main

